[Engine]
SDeepEngineType=NNabla
RNNTrainingMode=0
[Network_Global]
NumLayer=11
NumLink=11
[Layer_0]
ID=0
Type=Input
Position_0=72
Position_1=48
Position_2=240
Position_3=48
Property_0_Name=Name
Property_0_Value=Input
Property_1_Name=Size
Property_1_Value=10,256
Property_2_Name=Dataset
Property_2_Value=x
Property_3_Name=Generator
Property_3_Value=None
Property_4_Name=GeneratorMultiplier
Property_4_Value=1.0
NumProperty=5
[Layer_1]
ID=41
Type=Affine
Position_0=72
Position_1=240
Position_2=240
Position_3=48
Property_0_Name=Name
Property_0_Value=Affine
Property_1_Name=OutShape
Property_1_Value=256
Property_2_Name=WithBias
Property_2_Value=True
Property_3_Name=ParameterScope
Property_3_Value=*Name
Property_4_Name=W.File
Property_4_Value=
Property_5_Name=W.Initializer
Property_5_Value=NormalAffineGlorot
Property_6_Name=W.InitializerMultiplier
Property_6_Value=1.0
Property_7_Name=W.LRateMultiplier
Property_7_Value=1.0
Property_8_Name=b.File
Property_8_Value=
Property_9_Name=b.Initializer
Property_9_Value=Constant
Property_10_Name=b.InitializerMultiplier
Property_10_Value=0.0
Property_11_Name=b.LRateMultiplier
Property_11_Value=1.0
NumProperty=12
[Layer_2]
ID=45
Type=SoftmaxCrossEntropy
Position_0=72
Position_1=576
Position_2=240
Position_3=48
Property_0_Name=Name
Property_0_Value=SoftmaxCrossEntropy
Property_1_Name=Axis
Property_1_Value=0
Property_2_Name=T.Dataset
Property_2_Value=y
Property_3_Name=T.Generator
Property_3_Value=None
Property_4_Name=T.GeneratorMultiplier
Property_4_Value=1.0
NumProperty=5
[Layer_3]
ID=49
Type=Affine
Position_0=72
Position_1=432
Position_2=240
Position_3=48
Property_0_Name=Name
Property_0_Value=Affine_2
Property_1_Name=OutShape
Property_1_Value=4
Property_2_Name=WithBias
Property_2_Value=False
Property_3_Name=ParameterScope
Property_3_Value=*Name
Property_4_Name=W.File
Property_4_Value=
Property_5_Name=W.Initializer
Property_5_Value=NormalAffineGlorot
Property_6_Name=W.InitializerMultiplier
Property_6_Value=1.0
Property_7_Name=W.LRateMultiplier
Property_7_Value=1.0
Property_8_Name=b.File
Property_8_Value=
Property_9_Name=b.Initializer
Property_9_Value=Constant
Property_10_Name=b.InitializerMultiplier
Property_10_Value=0.0
Property_11_Name=b.LRateMultiplier
Property_11_Value=1.0
NumProperty=12
[Layer_4]
ID=56
Type=Sigmoid
Position_0=72
Position_1=528
Position_2=240
Position_3=48
Property_0_Name=Name
Property_0_Value=Sigmoid_2
NumProperty=1
[Layer_5]
ID=57
Type=BatchNormalization
Position_0=72
Position_1=480
Position_2=240
Position_3=48
Property_0_Name=Name
Property_0_Value=BatchNormalization
Property_1_Name=Axes
Property_1_Value=0
Property_2_Name=DecayRate
Property_2_Value=0.9
Property_3_Name=Epsilon
Property_3_Value=0.0001
Property_4_Name=BatchStat
Property_4_Value=True
Property_5_Name=ParameterScope
Property_5_Value=*Name
Property_6_Name=beta.File
Property_6_Value=
Property_7_Name=beta.Initializer
Property_7_Value=Constant
Property_8_Name=beta.InitializerMultiplier
Property_8_Value=0.0
Property_9_Name=beta.LRateMultiplier
Property_9_Value=1.0
Property_10_Name=gamma.File
Property_10_Value=
Property_11_Name=gamma.Initializer
Property_11_Value=Constant
Property_12_Name=gamma.InitializerMultiplier
Property_12_Value=1.0
Property_13_Name=gamma.LRateMultiplier
Property_13_Value=1.0
Property_14_Name=mean.File
Property_14_Value=
Property_15_Name=mean.Initializer
Property_15_Value=Constant
Property_16_Name=mean.InitializerMultiplier
Property_16_Value=0.0
Property_17_Name=mean.LRateMultiplier
Property_17_Value=0.0
Property_18_Name=var.File
Property_18_Value=
Property_19_Name=var.Initializer
Property_19_Value=Constant
Property_20_Name=var.InitializerMultiplier
Property_20_Value=0.0
Property_21_Name=var.LRateMultiplier
Property_21_Value=0.0
NumProperty=22
[Layer_6]
ID=60
Type=RecurrentInput
Position_0=72
Position_1=96
Position_2=240
Position_3=48
Property_0_Name=Name
Property_0_Value=RecurrentInput
Property_1_Name=Axis
Property_1_Value=0
NumProperty=2
[Layer_7]
ID=61
Type=RecurrentOutput
Position_0=72
Position_1=384
Position_2=240
Position_3=48
Property_0_Name=Name
Property_0_Value=RecurrentOutput
Property_1_Name=Axis
Property_1_Value=0
NumProperty=2
[Layer_8]
ID=63
Type=Delay
Position_0=408
Position_1=96
Position_2=240
Position_3=48
Property_0_Name=Name
Property_0_Value=Delay
Property_1_Name=Size
Property_1_Value=*Input
Property_2_Name=Initial.Dataset
Property_2_Value=c
Property_3_Name=Initial.Generator
Property_3_Value=Constant
Property_4_Name=Initial.GeneratorMultiplier
Property_4_Value=0.0
NumProperty=5
[Layer_9]
ID=64
Type=Concatenate
Position_0=72
Position_1=192
Position_2=240
Position_3=48
Property_0_Name=Name
Property_0_Value=Concatenate
Property_1_Name=Axis
Property_1_Value=0
NumProperty=2
[Layer_10]
ID=66
Type=ReLU
Position_0=72
Position_1=288
Position_2=240
Position_3=48
Property_0_Name=Name
Property_0_Value=ReLU
Property_1_Name=InPlace
Property_1_Value=*AutoInPlaceOnce
NumProperty=2
[Link_0]
ID=0
SourceLayerID=56
SourcePinIndex=0
DestLayerID=45
DestPinIndex=0
[Link_1]
ID=3
SourceLayerID=57
SourcePinIndex=0
DestLayerID=56
DestPinIndex=0
[Link_2]
ID=6
SourceLayerID=0
SourcePinIndex=0
DestLayerID=60
DestPinIndex=0
[Link_3]
ID=10
SourceLayerID=64
SourcePinIndex=0
DestLayerID=41
DestPinIndex=0
[Link_4]
ID=11
SourceLayerID=60
SourcePinIndex=0
DestLayerID=64
DestPinIndex=0
[Link_5]
ID=13
SourceLayerID=63
SourcePinIndex=0
DestLayerID=64
DestPinIndex=0
[Link_6]
ID=15
SourceLayerID=66
SourcePinIndex=0
DestLayerID=63
DestPinIndex=0
[Link_7]
ID=18
SourceLayerID=49
SourcePinIndex=0
DestLayerID=57
DestPinIndex=0
[Link_8]
ID=20
SourceLayerID=41
SourcePinIndex=0
DestLayerID=66
DestPinIndex=0
[Link_9]
ID=21
SourceLayerID=61
SourcePinIndex=0
DestLayerID=49
DestPinIndex=0
[Link_10]
ID=23
SourceLayerID=66
SourcePinIndex=0
DestLayerID=61
DestPinIndex=0
[Dataset]
Num=2
MainIndex=0
[Dataset_0]
Name=Training
URI=D:\temp2\RNN\training.csv
Shuffle=1
EnableCache=0
ImageNormalization=0
[Dataset_1]
Name=Validation
URI=D:\temp2\RNN\test.csv
Shuffle=0
EnableCache=0
ImageNormalization=0
[Description]
Text=
[Config]
MaxEpoch=100
SaveBest=1
BatchSize=40
NumOptimizer=1
NumMonitor=2
NumExecutor=1
[Optimizer_0]
Optimizer_Name=Optimizer
Optimizer_NetworkName=Main
Optimizer_DatasetName=Training
UpdateInterval=1
SolverName=Adam
SolverParameterNum=4
SolverParameterName_0=Alpha
SolverParameter_0=0.001
SolverParameterName_1=Beta1
SolverParameter_1=0.9
SolverParameterName_2=Beta2
SolverParameter_2=0.999
SolverParameterName_3=Epsilon
SolverParameter_3=1e-08
WeightDecay=0
LearningRateMultiplier=1
LearningRateUpdateInterval=1
[Monitor_0]
Monitor_Name=train_error
Monitor_NetworkName=MainValidation
Monitor_DatasetName=Training
[Monitor_1]
Monitor_Name=valid_error
Monitor_NetworkName=MainValidation
Monitor_DatasetName=Validation
[Executor_0]
Executor_Name=Executor
Executor_NetworkName=MainRuntime
Executor_DatasetName=Validation
NumEvaluations=1
RepeatEvaluationType=0
NeedBackPropagation=0
[Script]
Enabled=0
NumScript=0
[StructureSearch]
Enabled=0
Method=Random
Objective=ErrorAndCalculation
Validation_Min=-1
Validation_Max=-1
CostMultiplyAdd_Min=-1
CostMultiplyAdd_Max=-1
EarlyStopping=0
TimeLimit=0
